> For the complete documentation index, see [llms.txt](https://docs.xyo.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xyo.network/xyo-layer-one/xyo-layer-one-features/rollups/bound-witness-trees/bound-witness-tree-real-world-examples.md).

# Bound Witness Tree: Real-World Examples

### R**eal-World Gaming Platform**

Imagine a **real-world gaming platform** built on XYO where players collect virtual treasure and complete missions. Every player action generates data that must be validated. Instead of verifying each action individually, XYO uses Bound Witness Trees to verify all actions in a batch—just by validating the root of the tree.

Inside each Bound Witness Tree is a number of other Bound Witnesses. The following chart outlines what that could look like, in gaming terms.

```mermaid
%%{init: {
  "theme": "default",
  "themeVariables": {
    "fontSize": "12px"
  },
  "flowchart": { "useMaxWidth": false,  
    "useMaxWidth": false,
    "nodeSpacing": 20,
    "rankSpacing": 15,
    "padding": 5,
    "curve": "linear" }
}}%%
graph TB
  DailyCooking[Daily<br> 🍳 Cooking Quest] --> DailyQuests
  DailyFishing[Daily<br> 🎣 Fishing Quest] --> DailyQuests
  DailyMining[Daily<br> ⛏️ Mining Quest ] --> DailyQuests

  GuildStatus[Guild Status:<br> 👥 In Guild] --> PlayerData
  PlayerHairstyle[Hairstyle:<br> 💈 Braids] --> CharacterData
  PlayerHairColor[Hair Color:<br> 🩷 Pink] --> CharacterData
  PlayerEyeColor[Eye Color:<br> 💜 Purple] --> CharacterData

  CharacterData@{shape: flip-tri, label: "Bound Witness: <br>Character Data"} --> PlayerData
  Username[Username: <br> @pedestrian] --> PlayerData

  DailyQuests@{shape: flip-tri, label: "Bound Witness: <br>Daily Quests"} --> FinalBW@{shape: flip-tri, label: "Final Bound Witness<br> For XYO Layer One"}
  PlayerData@{shape: flip-tri, label: "Bound Witness: <br>Player Data"} --> FinalBW

  %% Define yellow style for Bound Witnesses
  classDef bwYellow fill:#fff176,stroke:#fbc02d,stroke-width:2px,color:#000;

  %% Apply yellow style to Bound Witness nodes
  class CharacterData,DailyQuests,FinalBW,PlayerData bwYellow;
```

This ensures accurate, efficient validation without bogging down the network, even as the game scales to thousands of players.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xyo.network/xyo-layer-one/xyo-layer-one-features/rollups/bound-witness-trees/bound-witness-tree-real-world-examples.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
